Subject: Changing from textmode to binmode mounting
From: David Starks-Browning <[email-masked]>
To: Peter Davis <[email-masked]>
Cc: [email-masked]
Date: Mon, 1 Jul 2002 17:03:11 +0100

On  1 Jul 02, Peter Davis writes:
> 
> For some reason, my Win2000 machine has everything mounted in
> textmode, although my WinNT machine correctly mounts in binmode.  In
> textmode, my fetchmail spool file is unreadable by MH and other mail
> utilities?
> 
> Can someone tell me how to switch from textmode to binmode?  I tried
> the command
> 
>     mount -b --change-cygdrive-prefix cygdrive
> 
> as suggested in the faq, but it seemed to have no effect.  

You say "everything" is mounted in textmode, but that command will
only change the cygdrive mounts.  Also user mounts will override
system mounts (or vice versa?).  This can be confusing if you change
the system mount but the user mount hides the change (or vice versa?).

I'll come up with a new FAQ entry that addresses this better.

> I also mucked with the registry to add fbinary = 1 to all the mount
> points

yikes...

Regards,
David
(Cygwin FAQ maintainer)

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/